web/robots.txt
web/*.php
web/web.config
web/.*
web/core
web/modules/contrib
web/profiles
web/sites
web/libraries
web/README.md
## Temporarily allow deployment of custom modules (by only ignoring contrib here).
## So far we are using custom modules for migration only, which wouldn't technically
## ever be required on the platform.
web/themes/contrib
vendor/

## Ignore folder for SQL dumps
/backups

## Ignore other template-built files:
drush/sites/local.site.yml
drush/drush.yml

## What you CAN commit:
#  config
#  web/themes/custom/*/templates
#  web/themes/custom/*/images
#  web/themes/custom/*/sass (or css, pick one)
#  web/themes/custom/*/js
#  web/themes/custom/*/*.yml

## Ignore vagrant-created files.
.vagrant

## Ignore lock file during development / not used on platform anyway
## Temporarily allow deployment of select contrib modules (by permitting the lock file).
## So far we are using select contrib modules for migration only, which wouldn't
## technically ever be required on the platform... but they'd have to be uninstalled
## before the configuration were deployed.  We need to at least report to sites "your
## composer.json/composer.lock file called for modules X and Y, which were not deployed"
## to make it easier to understand the resulting config import error  :-/
# composer.lock
/.editorconfig
/.gitattributes
